Benefits & tax profiles
Get Employee Tax Profile
Returns a legacy employee's current tax profile after verifying the employee belongs to the caller's linked org.
GEThttps://api.toku.com/hris/get-employee-tax-profile
Required scope: payroll:read
curl --request GET \
--url 'https://api.toku.com/hris/get-employee-tax-profile?employeeID=%3CemployeeID%3E' \
--header 'Authorization: Bearer <token>'200 response
{
"taxProfile": {
"employeeID": 0,
"taxProfileID": 0,
"taxCalculatorVersionID": 0,
"taxCalculatorRegionFilterTargetCellID": 0,
"countryName": "string",
"countryTwoLetterName": "string",
"countryThreeLetterName": "string",
"components": [
{
"targetCellID": 0,
"value": "string",
"label": "string",
"regionFilterKeyWord": "string"
}
]
}
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Query parameters
employeeIDintegerrequiredAllowed: at least 1
Response
200Successful response
taxProfileobject | nullrequiredShow child attributes
employeeIDintegerrequiredtaxProfileIDintegerrequiredtaxCalculatorVersionIDintegerrequiredtaxCalculatorRegionFilterTargetCellIDintegercountryNamestringrequiredcountryTwoLetterNamestringrequiredcountryThreeLetterNamestringrequiredcomponentsobject[]requiredShow child attributes
targetCellIDintegerrequiredvaluestringrequiredlabelstringrequiredregionFilterKeyWordstring400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits